
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@700&family=Poppins:wght@400;500;600&display=swap');
*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}
.admin-login{
  margin: 0;
  padding: 0;
  background: linear-gradient(120deg,aqua, #0b0bb8);
  height: 100vh;
  overflow: hidden;
}
.center{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 400px;
  background: white;
  border-radius: 10px;
  box-shadow: 10px 10px 15px rgba(0,0,0,0.05);
}
.center h1{
  text-align: center;
  padding: 20px 0;
  border-bottom: 1px solid silver;
}
.center form{
  padding: 0 40px;
  box-sizing: border-box;
}
form .txt_field{
  position: relative;
  border-bottom: 2px solid #0b0bb8;
  margin: 30px 0;
}
.txt_field input{
  width: 100%;
  padding: 0 5px;
  height: 40px;
  font-size: 16px;
  border: none;
  background: none;
  outline: none;
}
.txt_field label{
  position: absolute;
  top: 50%;
  left: 5px;
  color: #adadad;
  transform: translateY(-50%);
  font-size: 16px;
  pointer-events: none;
  transition: .5s;
}
.txt_field span::before{
  content: '';
  position: absolute;
  top: 40px;
  left: 0;
  width: 0%;
  height: 2px;
  background: #2691d9;
  transition: .5s;
}
.txt_field input:focus ~ label,
.txt_field input:valid ~ label{
  top: -5px;
  color: #0b0bb8;
}
.txt_field input:focus ~ span::before,
.txt_field input:valid ~ span::before{
  width: 100%;
}

input[type="submit"]{
  width: 100%;
  height: 50px;
  border: 1px solid;
  background: #0b0bb8;
  border-radius: 25px;
  font-size: 18px;
  color: #e9f4fb;
  font-weight: 700;
  cursor: pointer;
  outline: none;
  margin:20px 0;
}
input[type="submit"]:hover{
  border-color: #0b0bb8;
  transition: .5s;
}

@media(max-width:500px){
    .center{
        width:350px;
    }
}


/*.admin-login{*/
/*    height: 100vh;*/
/*    display:flex;*/
/*    justify-content: center;*/
/*    align-items: center;*/
/*    flex-direction: column;*/
/*    background-color: rgb(245, 237, 237);*/
/*}*/

/*.login_form{*/
/*   width: 400px;*/
/*   border-radius: 20px;*/
/*   border: 1px solid green;*/
/*   display: flex;*/
/*   align-items: center;*/
/*   justify-content: center;*/
/*   flex-direction: column;*/
/*   box-shadow: 5px 5px 10px rgb(11, 211, 11);*/
/*}*/
/*.main-form{*/
/*    width: 100%;*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    align-items: center;*/
/*    background-color: white;*/
/*    border-bottom-left-radius: 20px;*/
/*    border-bottom-right-radius: 20px;*/
/*}*/
/*.login-body{*/
/*    margin: 5px 0px;*/
/*    width: 100%;*/
/*    padding: 20px;*/
/*}*/
/*.form-text{*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    margin: 20px 0px;*/
/*}*/
/*.login-btn{*/
/*    margin-bottom: 20px;*/
/*}*/
/*.login-label{*/
/*    color: black;*/
/*    font-size: 20px;*/
/*    font-weight: bold;*/
/*    margin-bottom: 10px;*/
/*}*/
/*.input{*/
/*    height: 40px;*/
/*    border-radius: 10px;*/
/*    font-size: 15px;*/
/*    padding: 5px;*/
/*    border: 0;*/
/*    outline: 0;*/
/*    border-bottom: 2px solid grey;*/
/*}*/
/*.login-btn button{*/
/*    width: 100px;*/
/*    height: 30px;*/
/*    border-radius: 5px;*/
/*    background-color: rgb(11, 211, 11);*/
/*    font-weight: bold;*/
/*    color: white;*/
/*    letter-spacing: 1px;*/
/*}*/
/*.login-btn button:hover{*/
/*    background-color: green;*/
/*    width:110px;*/
/*    height: 35px;*/
/*}*/
/*.form-heading{*/
/*    background-color: rgb(11, 211, 11);*/
/*    width: 100%;*/
/*    height: 60px;*/
/*    border-top-right-radius: 20px;*/
/*    border-top-left-radius: 20px;*/
/*    text-align: center;*/
/*    padding: 10px;*/
/*}*/
/*@media(max-width:500px){*/
/*    .login_form{*/
/*        width: 90%;*/
/*    }*/
/*}*/


/**{*/
/*    padding: 0px;*/
/*    margin: 0px;*/
/*    box-sizing: border-box;*/
/*}*/

/*.admin-login{*/
/*    height: 100vh;*/
/*    display:flex;*/
/*    justify-content: center;*/
/*    align-items: center;*/
/*    flex-direction: column;*/
/*    background-color: rgb(245, 237, 237);*/
/*}*/

/*.login_form{*/
/*   width: 400px;*/
/*   border-radius: 20px;*/
/*   border: 1px solid green;*/
/*   display: flex;*/
/*   align-items: center;*/
/*   justify-content: center;*/
/*   flex-direction: column;*/
/*   box-shadow: 5px 5px 10px rgb(11, 211, 11);*/
/*}*/
/*.main-form{*/
/*    width: 100%;*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    align-items: center;*/
/*    background-color: white;*/
/*    border-bottom-left-radius: 20px;*/
/*    border-bottom-right-radius: 20px;*/
/*}*/
/*.login-body{*/
/*    margin: 5px 0px;*/
/*    width: 100%;*/
/*    padding: 20px;*/
/*}*/
/*.form-text{*/
/*    display: flex;*/
/*    flex-direction: column;*/
/*    margin: 20px 0px;*/
/*}*/
/*.login-btn{*/
/*    margin-bottom: 20px;*/
/*}*/
/*.login-label{*/
/*    color: black;*/
/*    font-size: 20px;*/
/*    font-weight: bold;*/
/*    margin-bottom: 10px;*/
/*}*/
/*.input{*/
/*    height: 40px;*/
/*    border-radius: 10px;*/
/*    font-size: 15px;*/
/*    padding: 5px;*/
/*    border: 0;*/
/*    outline: 0;*/
/*    border-bottom: 2px solid grey;*/
/*}*/
/*.login-btn button{*/
/*    width: 100px;*/
/*    height: 30px;*/
/*    border-radius: 5px;*/
/*    background-color: rgb(11, 211, 11);*/
/*    font-weight: bold;*/
/*    color: white;*/
/*    letter-spacing: 1px;*/
/*}*/
/*.login-btn button:hover{*/
/*    background-color: green;*/
/*    width:110px;*/
/*    height: 35px;*/
/*}*/
/*.form-heading{*/
/*    background-color: rgb(11, 211, 11);*/
/*    width: 100%;*/
/*    height: 60px;*/
/*    border-top-right-radius: 20px;*/
/*    border-top-left-radius: 20px;*/
/*    text-align: center;*/
/*    padding: 10px;*/
/*}*/
/*@media(max-width:500px){*/
/*    .login_form{*/
/*        width: 90%;*/
/*    }*/
/*}*/